Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.LayerTree Class Reference
Inheritance diagram for FoxitPDFSDKPython2.LayerTree:

## Public Member Functions
def | LayerTree (document)
| Constructor, from a PDF document. More...
def | LayerTree (other)
| Constructor, with another layer tree object. More...
def | GetDict ()
| Get the dictionary of current object. More...
def | GetOCGs ()
| Get the "OCGs" PDF array from current object. More...
def | GetOCGsByPageIndex (page_index)
| Get an array of OCG objects found on a specified page. More...
def | GetRootNode ()
| Get the root layer node. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetBaseState (state)
| Set the base state for all layers in the default configuration. More...

## Static Public Attributes
| e_StateOFF = _fsdk.LayerTree_e_StateOFF
| The state is OFF.
| e_StateON = _fsdk.LayerTree_e_StateON
| The state is ON.
| e_StateUnchanged = _fsdk.LayerTree_e_StateUnchanged
| The state is unchanged.
| e_StateUndefined = _fsdk.LayerTree_e_StateUndefined
| The state is undefined.

## Detailed Description

PDF layer nodes are stored in a PDF layer tree. If user wants to retrieve a layer node, user must construct a layer tree object from a PDF document first and then call function FoxitPDFSDKPython2.LayerTree.GetRootNode to get the root layer node of the whole layer tree. Then, user can enumerate all the nodes in the layer tree from the root layer node.

See also
  LayerNode

## Constructor & Destructor Documentation

## ◆ LayerTree() [1/2]

def FoxitPDFSDKPython2.LayerTree.LayerTree | ( |  | document | ) |

Constructor, from a PDF document.

The constructed layer tree object can be associated with existed layer tree in PDF document. If there is no layer tree in PDF document which can be judged by functoin FoxitPDFSDKPython2.PDFDoc.HasLayer , the constructed layer tree object will build layer related dictionary.

Parameters

  [in] | document | A valid PDF document object.

## ◆ LayerTree() [2/2]

def FoxitPDFSDKPython2.LayerTree.LayerTree | ( |  | other | ) |

Constructor, with another layer tree object.

Parameters

  [in] | other | Another layer tree object.

## Member Function Documentation

## ◆ GetDict()

def FoxitPDFSDKPython2.LayerTree.GetDict | ( |  | ) |

Get the dictionary of current object.

Note
  Please refer to "Optional Content Properties Dictionary" in <PDF Reference 1.7> P375 for more details.

Returns
  The dictionary of current object. If there is any error, this function will return null.

## ◆ GetOCGs()

def FoxitPDFSDKPython2.LayerTree.GetOCGs | ( |  | ) |

Get the "OCGs" PDF array from current object.

Note
  Please refer to "Optional Content Properties Dictionary" in <PDF Reference 1.7> P375 for more details.

Returns
  The "OCGs" PDF array. If there is no "OCGs" entry or any error occurs, this function will return null.

## ◆ GetOCGsByPageIndex()

def FoxitPDFSDKPython2.LayerTree.GetOCGsByPageIndex | ( |  | page_index | ) |

Get an array of OCG objects found on a specified page.

Parameters

  [in] | page_index | Index of the page of child to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFDoc.GetPageCount .

Returns
  A layer node array object.

## ◆ GetRootNode()

def FoxitPDFSDKPython2.LayerTree.GetRootNode | ( |  | ) |

Get the root layer node.

After getting the root layer node, user can enumerate all layer nodes in current layer tree by functions of class LayerNode.

Returns
  Root layer node.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.LayerTree.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetBaseState()

def FoxitPDFSDKPython2.LayerTree.SetBaseState | ( |  | state | ) |

Set the base state for all layers in the default configuration.

If user wants the new state to have effect on rendering result, please construct a new layer context object after this function succeeds, and then use the new LayerContext to Renderer to do rendering.

Parameters

  [in] | state | Layer usage state. Please refer to values starting from FoxitPDFSDKPython2.LayerTree.e_StateON and this should be one of these values except FoxitPDFSDKPython2.LayerTree.e_StateUndefined .

Returns
  true means success, while false means failure.